import FullScreenDrawer from "@/components/CommonComponents/FullScreenDrawer";
import { useState } from "react";
import RadioGroupOfButtonStyle from "@/components/CommonComponents/RadioGroupOfButtonStyle";
import MyMultipleMenu, { IOption } from "@/components/mui/MyMultipleMenu";
import style from "./index.module.css";

type ISeeDatasetProps = {
	handleClose: any;
};

const dataTypesMock = [
	{
		label: "123",
		value: "1234",
	},
	{
		label: "1232",
		value: "12342",
	},
	{
		label: "1233",
		value: "12344",
	},
];

const SeeDataset = (props: ISeeDatasetProps) => {
	const [graphicDimension, setGraphicDimension] = useState("2D"); // 分子结构图是2D还是3D
	const [showDataTypes, setShowDataTypes] = useState<Array<string>>([]); //显示的数据类型
	const [dataTypes, setdataTypes] = useState<Array<IOption>>(dataTypesMock); // 可选的数据类型
	return (
		<FullScreenDrawer handleClose={props.handleClose}>
			<h2>数据集title</h2>
			<div className={style.screens}>
				<div className={style.screensLeft}>
					<RadioGroupOfButtonStyle
						handleRadio={setGraphicDimension}
						value={graphicDimension}
						radioOptions={[
							{
								value: "2D",
								label: "2D",
							},
							{
								value: "3D",
								label: "3D",
							},
						]}
						RadiosBoxStyle={{ width: "132px" }}
					></RadioGroupOfButtonStyle>
					<MyMultipleMenu
						value={showDataTypes}
						options={dataTypes}
						setValue={setShowDataTypes}
						showSelectAll={true}
					>
						选择显示数据({showDataTypes.length})
					</MyMultipleMenu>
				</div>
				<div className={style.screensRight}></div>
			</div>
			SeeDataset
		</FullScreenDrawer>
	);
};

export default SeeDataset;
